body {
    margin: 0;
    padding: 0;
    font-family: 'Roboto Slab', serif;
    background-color: #1a1a1a;
    font-weight:300;
    font-size:15pt;
    text-align: center;
    line-height: 1.6;
}

html {
    scroll-behavior: smooth;
}


header {
    background-repeat: no-repeat;
    background-attachment: fixed; 
    position: relative;
    background-size: cover;
    height:100vh;
    padding-bottom:80px;
    overflow:hidden;
    background-position: center;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center; 
    color: white;
    text-align: center;
}

video {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            object-fit: cover; /* Cover the entire header */
        }
        
@media (max-width: 768px) {
video {
            position: absolute;
            top: 0;
            left: 0;
            max-width: 100%;
            height: 100%;
            object-fit: cover; /* Cover the entire header */
        }
}


@media (max-width: 768px) {
    header {
        background-attachment: scroll;
        height: auto;
        padding-bottom:30px;
        background-size: cover;
    }
}

b {
    color:#ff9900;
}

headerr {

    background-repeat: no-repeat;
    background-attachment: fixed; 
    position: relative;
    background-image: url('feltbay-pizza.jpg');
    background-size: cover;
    height:100vh;
    background-position: top;
    display: flex;
    flex-direction: column;
    justify-content: flex-start; 
    align-items: center;
    color: white;
    text-align: center;
}


@media (max-width: 768px) {
    headerr {
        background-attachment: scroll;
        height: 100vh;
        background-size: cover;
    }
}

.language-icons {
    position: absolute;
    top: 80px; /* Adjust as needed */
    right: 80px; /* Adjust as needed */
}

.language-icons img {
    width: 40px; /* Adjust icon size as needed */
    margin-left: 10px; /* Adjust spacing between icons as needed */
}

/* Media query for mobile devices */
@media (max-width: 768px) {
  .language-icons {
    top:5vh;
    display: flex; /* Show icons */
    justify-content: center; /* Center icons horizontally */
    align-items: center; /* Center icons vertically */
    right: 50%; /* Adjust horizontal position */
    transform: translateX(50%); /* Center icons horizontally */
  }
}
@media (max-width: 768px) {
  .language-icons img {
    width: 38px; /* Adjust icon size as needed */
    margin-left: 15px; /* Adjust spacing between icons as needed */
  }
}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.2);
}

@media (max-width: 768px) {
    .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.4);
    }
}


.overlay2 {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.3);
}

.logo img {
    width: 100%;
    padding:10px;
    margin-bottom:60px;
    max-width: 250px;
}


@media (max-width: 768px) {
    .logo img {
        padding:0px;
        max-width:170px;
        margin-bottom:0px;
    }
}


.menu-container {
  display: flex;
  width:100%;
  justify-content: center;
  font-weight:300;
  gap:40px;
  align-items: flex-start center; 
  flex-wrap: wrap;
}


.menu-column {
  width: 45%; 
  background-color: transparent;
  color:#fff;
  padding
  : 0px;
}

@media (max-width: 768px) {
    .menu-column {
        width:100%;
    }
}

.column-heading {
  font-size: 1.5em;
  margin-bottom: 5px;
  margin-top:50px;
  font-weight:400;
  text-align: left;
  color: #fff !important;
}

@media (max-width: 768px) {
    .column-heading {
        padding-top:50px;
    }
}


.menu-item {
  display: flex;
  justify-content: space-between;
  margin-bottom: 5px;
  border-bottom: 0.2px solid #fff;
  padding-bottom: 5px;
}


.item-name {
  flex: 1;
  font-size: 17px !important;
  padding-top:20px;
  text-align:left;
  color:#ff9900;
  font-weight: 400;
}

@media (max-width: 768px) {
.item-name {
  flex: 1;
  font-size: 15px !important;
  padding-top:20px;
  text-align:left;
  color:#ff9900;
  font-weight: 400;
    }
}

.item-price {
  flex-basis: 200px;
  padding-top:18px;
  font-size: 17px !important;
  text-align: right;
}

@media (max-width: 768px) {
.item-price {
  flex-basis: 200px;
  padding-top:18px;
  font-size: 15px !important;
  text-align: right;
    }
}

.item-description {
  font-size: 0.8em !important;
  text-align:left;
  margin-top: 5px;
  color: #fff !important;
}

.menu-item:last-child {
  border-bottom: none;
  padding-bottom: 0;
}


.opening-hours {
    position: relative;
    top: 10%;
    left: 50%;
    transform: translateX(-50%);
    color: white;
    max-width:50%;
    padding: 15px;
    text-align: left;
    border-radius: 10px;
    z-index: 2;
    font-family: 'Roboto Slab', serif;
}

.opening-hours h3 {
    font-size: 20px;
    margin: 5px 0;
}

.opening-hours p {
    font-size: 16px;
    margin: 5px 0;
}

.logo {
    font-size: 2em;
    margin-top: 1.2vw;
    position: relative;
    z-index: 2;
    
}

@media (max-width: 768px) {
    .logo {
         font-size: 2em;
         margin-top: 19vw;
         position: relative;
         z-index: 2;
     } 
}
    
h1, h2 {
  font-size: 1.8em;
  font-family: "Francois One", sans-serif;
  font-weight: 400;
  font-style: normal;
}

h3 {
  font-size: 1.3em;
  font-family: "Francois One", sans-serif;
  font-weight: 400;
  font-style: normal;
}

heading {
  font-size: 1.8em;
  font-family: "Francois One", sans-serif;
  font-weight: 400;
  font-style: normal;
}

@media (max-width: 768px) {
    heading {
        display:none;
    }
}

@media (max-width: 768px) {
    h1, h2, h3 {
        font-size: 2,5em;
    }
}

.content {
    position: relative;
    z-index: 1;
    text-align: center;
    max-width: 900px;
    margin: 50px;
    color: white;
}

@media (max-width: 768px) {
    .content {
        margin: 50px 30px 50px 30px;
    }
}

.content-ruokalista {
    position: relative;
    z-index: 1;
    text-align: center;
    max-width: 900px;
    margin: 50px;
    padding-bottom:80px;
    color: white;
}


@media (max-width: 768px) {
    .content-ruokalista {
        margin: 5px 30px 50px 30px;
    }
}

.content1 {
    position: relative;
    z-index: 2;
    text-align: center;
    max-width: 900px;
    padding-bottom:40px;
    margin: 0 auto;
}



.content1 h2  {
    color:#fff;
}

@media (max-width: 768px) {
    .content1 {
        padding: 10px 30px;
    }
}

@media (max-width: 768px) {
    .content1 h2 {
        font-size:26pt;
        padding-bottom: 25px;
        margin:0px;
    }
}


@media (max-width: 768px) {
    .content2 {
        padding: 0px 30px;
    }
}

@media (max-width: 768px) {
    .content2 h2 {
        font-size:26pt;
        padding-bottom: 25px;
        margin:0px;
    }
}



.top-links {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 40px 10px;
    font-family: "Francois One", sans-serif;
    font-weight: 400;
    font-style: normal;
    text-transform:uppercase;
    background-color: transparent;
}

@media (max-width: 768px) {
.top-links {
    display: flex;
    justify-content: center;
    align-items: flex-start;
     font-family: "Francois One", sans-serif;
  font-weight: 400;
  font-style: normal;
    }
}

.back {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top:0px;
    padding: 20px 20px;
    font-family: "Francois One", sans-serif;
    font-weight: 400;
    font-style: normal;
    text-transform:uppercase;
}

@media (max-width: 768px) {
.back {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    font-family: "Francois One", sans-serif;
    font-weight: 400;
    font-style: normal;
    }
}

.back a {
    text-decoration: none;
    color: #ffffff;
    padding: 12px 30px 12px 30px;
    border-radius: 5px;
    margin: 20px 10px;
    letter-spacing:0.7pt;
    background-color: rgba(255, 153, 0, 0.7); /* Semi-transparent #ff9900 background */
    border-radius: 10px; /* Rounded corners */
    display: inline-block;
    font-size: 14pt;
    transition: background-color 0.3s, color 0.3s;
}

.back a:hover {
    text-decoration: none;
    background-color: rgba(255, 255, 255, 0.2); /* Semi-transparent #ff9900 background */
    border-radius: 10px; /* Rounded corners */
    color: #ff9900;
}



.top-links a {
    text-decoration: none;
    color: #ffffff;
    padding: 8px 20px;
    border-radius: 5px;
    margin: 0 10px;
    display: inline-block;
    font-size: 14pt;
    transition: background-color 0.3s, color 0.3s;
}

.top-links a:hover {
    text-decoration: none;
    color: #ff9900;
}

a {
    text-decoration: none;
    color: #ff9900;
    transition: color 0.3s;
}

a:hover {
    color: #fff;
}

.menu-link-container {
    text-align: center;
}

.menu-link {
    display: inline-block;
    padding: 10px 30px;
    background-color:rgba(226, 62, 35, 0.7);
    color: #ffffff;
    font-size: 15pt;
        border-radius: 5px;
    font-family: "Francois One", sans-serif;
    font-weight: 400;
    font-style: normal;
    text-transform:uppercase;
    text-decoration: none;
    margin: 20px;
    transition: background-color 0.3s;
}

.menu-link:hover {
    background-color: #ff9900;
    color:#fff;
}


.icon-section {
    padding: 30px; 
    display: flex;
    justify-content: center;
    align-items: center;
}


.icon {
    max-width: 90px;
    text-align: center;
    margin: 0 20px;
}

.icon-image {
    max-width: 100%;
}

@media (max-width: 768px) {
    .icon-image {
        padding-top:10px;
        width:80%;
    }
}

@media (max-width: 768px) {
    .icon-section {
        align-items: center;
        padding-top: 30px;
    }
}


@media (max-width: 768px) {
    .icon {
        margin: 0 2px;
    }
}


/* OSIOT */

section {
    padding: 40px 0;
    background-color: transparent;
    color: #fafafa;
}

.content p {
    font-family: 'Roboto Slab', serif;
    font-size:15pt;
    color: #fafafa;
    line-height: 1.6;
}
.landing {
    background-color: #1a1a1a;
}

.landing2 {
    background-color: #1a1a1a;
}

.section1 {
    padding: 60px 0;
    background-color: #1a1a1a;
    color:#fafafa;
}

.slogan-section {
    background-repeat: no-repeat;
    background-attachment: fixed;
    position: relative;
    background-image: url('landing.jpg');
    background-size: cover;
    height:35vh;
    background-position: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: white;
    text-align: center;

}

.mid-section {
    background-repeat: no-repeat;
    background-attachment: absolute;
    position: relative;
    background-image: url('feltbay-burger.jpg');
    background-size: cover;
    height:45vh;
    background-position: center;
    display: flex;
    flex-direction: column;
    justify-content: center; 
    align-items: center;
    color: white;
    text-align: center;

}

.mid-section2 {
    background-repeat: no-repeat;
    background-attachment: fixed;
    position: relative;
    background-image: url('brgr.jpg');
    background-size: cover;
    height:45vh;
    background-position: center;
    display: flex;
    flex-direction: column;
    justify-content: center; 
    align-items: center;
    color: white;
    text-align: center;

}



/* FOOTER */

table {
    width:100%;
}
.footer {
    background-color: #1a1a1a;
    color: #fff;
    padding: 10px;
    font-family: 'Roboto Slab', serif;
    font-size:16px;
    font-weight:300;
    width:800px;
    display: flex;
    flex-wrap: wrap;
}

.footer-container {
    background-color: #1a1a1a;
    color: #fff;
    font-family: 'Roboto Slab', serif;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0px;
    line-height:1.3;
    width: 100%;
    max-width: 100%;
    margin: 0 auto;
}

@media (max-width: 768px) {
    .footer-container {
        padding-bottom:0px;
        margin-bottom:50px;
    }
}

.footer h3 {
    font-size: 20px;
    letter-spacing:0.3pt;
    color: #fff;
    font-family: "Francois One", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.footer b {
    color:#fff;
}

.footer-container .column {
    flex: 10;
    text-align: left;
    padding: 30px;
    font-family: 'Roboto Slab', serif;
    margin: 0 10px;
}

@media (max-width: 768px) {
    .footer-container .column {
        padding-bottom:0px;
        margin-bottom:0px;
    }
}


.icon-section-footer {
    padding-top: 10px;
    display: flex;
    justify-content: left;
    align-items: left;
}

@media (max-width: 768px) {
    .icon-section-footer {
        padding-bottom:0px;
        margin-bottom:0px;
    }
}

.icon-footer {
    max-width: 250px;
    text-align: left;
    margin-right: 10px;
}

